Package com.emc.d2fs.models.method_result

# Class MethodResult

java.lang.Object
com.emc.d2fs.models.method_result.MethodResult

All Implemented Interfaces:
  `Serializable`

public class MethodResult extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="code" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="message" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getCode()`
  Gets the value of the code property.
  `String`
  `getMessage()`
  Gets the value of the message property.
  `void`
  `setCode(Integer value)`
  Sets the value of the code property.
  `void`
  `setMessage(String value)`
  Sets the value of the message property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MethodResult

    public MethodResult()

- ## Method Details

  - ### getCode

    public Integer getCode()
    Gets the value of the code property.
    Returns:
      possible object is `Integer`

  - ### setCode

    public void setCode(Integer value)
    Sets the value of the code property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getMessage

    public String getMessage()
    Gets the value of the message property.
    Returns:
      possible object is `String`

  - ### setMessage

    public void setMessage(String value)
    Sets the value of the message property.
    Parameters:
      `value` - allowed object is `String`